/*
 * SPDX-FileCopyrightText: 2020-2020 CSSlayer <wengxt@gmail.com>
 *
 * SPDX-License-Identifier: LGPL-2.1-or-later
 *
 */
#ifndef _FCITX5_UI_CLASSIC_COMMON_H_
#define _FCITX5_UI_CLASSIC_COMMON_H_

#include <memory>
#include <glib-object.h>
#include "fcitx-utils/log.h"

namespace fcitx {
namespace classicui {

template <typename T>
using GObjectUniquePtr = UniqueCPtr<T, g_object_unref>;

FCITX_DECLARE_LOG_CATEGORY(classicui_logcategory);
#define CLASSICUI_DEBUG()                                                      \
    FCITX_LOGC(::fcitx::classicui::classicui_logcategory, Debug)
#define CLASSICUI_ERROR()                                                      \
    FCITX_LOGC(::fcitx::classicui::classicui_logcategory, Error)
#define CLASSICUI_INFO()                                                       \
    FCITX_LOGC(::fcitx::classicui::classicui_logcategory, Info)

} // namespace classicui
} // namespace fcitx

#endif // _FCITX5_UI_CLASSIC_COMMON_H_
